Subject: bug#17971: 24.3.92; Patch to fix el compression on RHEL/CentOS 7

From: Stephen Hassard <[email-masked]>
Date: Fri, 11 Jul 2014 07:52:25 -0700

I've attached the trace.

Since 'make install' was succeeding in compressing the .el files, I had to
manually uncompress them before running the test.

find errored as expected on my CentOS7 machine, so hopefully the strace
should show the same behaviour.

Thanks,
Steve

On Thu, Jul 10, 2014 at 11:37 PM, Paul Eggert <[email-masked]> wrote:

> Strange -- I cannot reproduce the problem with findutils 4.5.12 alpha, on
> either Fedora 20 or on Ubuntu 14.04 (both x86-64).
>
> Stephen, can you do an 'strace' of the failing 'find' invocation?
> Something like this, where the files are not yet compressed:
>
> cd "/home/shassard/opt/emacs/share/emacs/24.3.92/lisp"
> strace -f -o /tmp/tr find . -name '*.elc' -exec /bin/sh -c \
>
>     '/usr/bin/gzip -9n `expr "$1" : "\\(.*\\)c"`' dummy '{}' ';'
>
> (/tmp/tr will be fairly large, alas) and look in /tmp/tr just before
> 'find' issues its first complaint.
>